Package org.jfree.report.data

# Class MasterDataRowChangeEvent

java.lang.Object
org.jfree.report.data.MasterDataRowChangeEvent

public class MasterDataRowChangeEvent extends Object
Creation-Date: 03.03.2006, 15:34:53

Author:
  Thomas Morgner

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COLUMN_ADDED`
`static final int`
`COLUMN_REMOVED`
`static final int`
`COLUMN_UPDATED`

## Constructor Summary

Constructors
Constructor
Description
`MasterDataRowChangeEvent(int type, String columnName, Object columnValue)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumnName()`
`Object`
`getColumnValue()`
`int`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COLUMN_ADDED

public static final int COLUMN_ADDED

See Also:
  - Constant Field Values

### COLUMN_REMOVED

public static final int COLUMN_REMOVED

See Also:
  - Constant Field Values

### COLUMN_UPDATED

public static final int COLUMN_UPDATED

See Also:
  - Constant Field Values

## Constructor Details

### MasterDataRowChangeEvent

public MasterDataRowChangeEvent(int type, String columnName, Object columnValue)

## Method Details

### getColumnName

public String getColumnName()

### getColumnValue

public Object getColumnValue()

### getType

public int getType()